summarylogtreecommitdiffstats
diff options
context:
space:
mode:
authorRohan Verma2019-08-08 21:04:59 +0530
committerRohan Verma2019-08-08 21:04:59 +0530
commit351be2f5996f606078e080f906b18ba1bc99b83b (patch)
treeb299e3ec21b72b4703dbdaf99e297769cc4947cb
downloadaur-351be2f5996f606078e080f906b18ba1bc99b83b.tar.gz
aur: install from git src
-rw-r--r--.SRCINFO16
-rw-r--r--PKGBUILD37
2 files changed, 53 insertions, 0 deletions
diff --git a/.SRCINFO b/.SRCINFO
new file mode 100644
index 00000000000..7386976f05d
--- /dev/null
+++ b/.SRCINFO
@@ -0,0 +1,16 @@
+pkgbase = simplelock
+ pkgdesc = Fast and simple wrapper over i3lock with multiple modes. Supports xkcd and unsplash
+ pkgver = r3.bc8f7c3
+ pkgrel = 1
+ url = https://github.com/rhnvrm/simplelock
+ arch = any
+ license = MIT
+ makedepends = git
+ depends = bash
+ depends = i3lock
+ provides = simplelock
+ source = simplelock-git::git+https://github.com/rhnvrm/simplelock.git
+ sha256sums = SKIP
+
+pkgname = simplelock
+
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..1caa2681948
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,37 @@
+# Maintainer: Rohan Verma <hello@rohanverma.net>
+pkgname=simplelock
+pkgver=r3.bc8f7c3
+pkgrel=1
+pkgdesc="Fast and simple wrapper over i3lock with multiple modes. Supports xkcd and unsplash"
+arch=('any')
+url="https://github.com/rhnvrm/simplelock"
+license=('MIT')
+groups=()
+depends=('bash' 'i3lock')
+makedepends=('git')
+checkdepends=()
+optdepends=()
+provides=('simplelock')
+conflicts=()
+replaces=()
+backup=()
+options=()
+source=("simplelock-git::git+https://github.com/rhnvrm/simplelock.git")
+sha256sums=('SKIP')
+
+pkgver() {
+ cd "$srcdir/$pkgname-git"
+ ( set -o pipefail
+ git describe --long 2>/dev/null | sed 's/\([^-]*-g\)/r\1/;s/-/./g' ||
+ printf "r%s.%s" "$(git rev-list --count HEAD)" "$(git rev-parse --short HEAD)"
+ )
+}
+
+package() {
+ set -e
+ cd $srcdir/$pkgname-git
+ mkdir -p ~/.config/simplelock
+ cp lock.png ~/.config/simplelock/
+ cp lockscreen.png ~/.config/simplelock/
+ install -D -m755 -t "$pkgdir/usr/bin" "simplelock"
+}